Skip to content

Get the payment method settings of a project

GET
/v1/admin/merchants/{merchant_id}/projects/{project_id}/settings/{payment_method}/

Authorization

apiKey
headerAuthorizationBasic <token>

HTTP Basic authentication with an admin API key as the username and an empty password.

Path Parameters

merchant_id*string

The ID of the merchant.

Formatuuid
project_id*string

The ID of the project.

Formatuuid
payment_method*string

The payment method, such as credit-card, apple-pay, google-pay, bancontact, swish or vipps-mobilepay.

Response Body

The settings of the payment method.

application/json
  1. response
enabled_by_merchant?boolean

Whether the payment method is switched on for the project.

disabled_brands?array<>

credit-card only: brands the contract allows but the merchant switched off.

curl -X GET 'https://api.example.com/v1/admin/merchants/497f6eca-6276-4993-bfeb-53cbbbba6f08/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/settings/string/' \  --user "$API_KEY:"
{  "enabled_by_merchant": true,  "disabled_brands": [    "amex"  ]}